Bug 427987 - yum-changelog: TypeError: populateSack() got an unexpected keyword argument 'mdtype'
yum-changelog: TypeError: populateSack() got an unexpected keyword argument '...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 09:31 EST by Miroslav Suchý
Modified: 2008-05-21 10:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0388
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:21:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2008-01-08 09:31:04 EST
Description of problem:
Plugin changelog do not work:
# yum --changelog install zsh
Loading "skip-broken" plugin
Loading "rhnplugin" plugin
Loading "changelog" plugin
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
rhel-i386-server-vt-5     100% |=========================| 1.4 kB    00:00
rhn-tools-rhel-i386-serve 100% |=========================| 1.2 kB    00:00
rhel-i386-server-5        100% |=========================| 1.4 kB    00:00
rhel-i386-server-suppleme 100% |=========================| 1.2 kB    00:00
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 102, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 359, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 134, in doCommand
    return base.installPkgs(extcmds)
  File "/usr/share/yum-cli/cli.py", line 509, in installPkgs
    self.doRepoSetup()
  File "/usr/share/yum-cli/cli.py", line 102, in doRepoSetup
    yum.YumBase.doRepoSetup(self, thisrepo=thisrepo)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 306, in doRepoSetup
    self.plugins.run('postreposetup')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 153, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/changelog.py", line 80, in postreposetup_hook
    repos.populateSack(mdtype='otherdata')
TypeError: populateSack() got an unexpected keyword argument 'mdtype'

Version-Release number of selected component (if applicable):
# rpm -q yum-changelog 
yum-changelog-1.0.4-3.el5

How reproducible:
always

Steps to Reproduce:
1. yum install changelog
2. yum --changelog install zsh
  
Actual results:
TypeError: populateSack() got an unexpected keyword argument 'mdtype'

Expected results:
changelog of file
Comment 1 James Antill 2008-01-17 09:41:42 EST
 This'll be fixed by the yum/yum-utils updates
Comment 2 RHEL Product and Program Management 2008-01-17 09:46:01 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2008-05-21 10:21:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0388.html

Note You need to log in before you can comment on or make changes to this bug.